Notebook[{
Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
  "This", " ", "notebook", " ", "illustrates", " ", "the", " ", 
   "characteristics", " ", "of", " ", "the", " ", "terminal", " ", 
   "consumption", " ", "rule"}], " ", "*)"}]], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "This", " ", "cell", " ", "contains", " ", "uninteresting", " ", "generic",
     " ", "setup", " ", "stuff", " ", "to", " ", "prepare", " ", "for", " ", 
    "execution", " ", "of", " ", "the", " ", "programs"}], "*)"}], 
  RowBox[{
   RowBox[{
    RowBox[{"ClearAll", "[", "\"\<Global`*\>\"", "]"}], ";", 
    RowBox[{"(*", 
     RowBox[{
      RowBox[{
      "If", " ", "running", " ", "from", " ", "Notebook", " ", "front", " ", 
       "end"}], ",", 
      RowBox[{"set", " ", "directory", " ", "to", " ", 
       RowBox[{"Notebook", "'"}], "s", " ", "directory"}]}], "*)"}], 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"Length", "[", "$FrontEnd", "]"}], ">", "0"}], ",", 
      RowBox[{"NBDir", "=", 
       RowBox[{"SetDirectory", "[", 
        RowBox[{"NotebookDirectory", "[", "]"}], "]"}]}]}], "]"}], ";", 
    RowBox[{"(*", 
     RowBox[{
     "If", " ", "running", " ", "from", " ", "the", " ", "Notebook", " ", 
      "interface"}], "*)"}], 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"Length", "[", "$FrontEnd", "]"}], "\[Equal]", "0"}], ",", 
      RowBox[{
      "SetDirectory", "[", 
       "\"\</Volumes/Data/Work/BufferStock/BufferStockTheory/Latest/Code/\
Mathematica/Results/BufferStockTheory\>\"", "]"}]}], "]"}], ";"}], 
   "\[IndentingNewLine]", "\n", 
   RowBox[{
    RowBox[{"HomeDir", "=", 
     RowBox[{"Directory", "[", "]"}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"CodeDir", "=", 
     RowBox[{"HomeDir", "<>", "\"\</../../CoreCode\>\""}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"CDToHomeDir", ":=", 
     RowBox[{"SetDirectory", "[", "HomeDir", "]"}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"CDToCodeDir", ":=", 
     RowBox[{"SetDirectory", "[", 
      RowBox[{"HomeDir", "<>", "\"\</../../CoreCode\>\""}], "]"}]}], ";"}], 
   "\n", 
   RowBox[{"CDToCodeDir", ";"}], "\[IndentingNewLine]", "\n", 
   RowBox[{
    RowBox[{"<<", "SetupModelSolutionRoutines.m"}], ";"}], "\n", 
   RowBox[{
    RowBox[{"<<", "SetParamsToBaselineVals.m"}], ";"}], "\n", 
   RowBox[{"CDToHomeDir", ";"}], "\n", 
   RowBox[{"SetupGrids", ";"}], "\n", 
   RowBox[{"SetupShocks", ";"}], "\n", 
   RowBox[{"ConstructLastPeriod", ";"}], "\n", 
   RowBox[{
    RowBox[{"SaveFigs", "=", "True"}], ";"}]}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "compat"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Combinatorica Graph and Permutations functionality has \
been superseded by preloaded functionaliy. The package now being loaded may \
conflict with this. Please see the Compatibility Guide for details.\"\>"}]], \
"Message", "MSG"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"SetParamsBaseline", ";"}], "\n", 
 RowBox[{
  RowBox[{"\[Theta]Min", " ", "=", " ", "0.5"}], ";", " ", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"Whenever", " ", "\[Theta]Min"}], " ", ">", " ", "0"}], ",", " ", 
    RowBox[{
     RowBox[{"the", " ", "problem", " ", "has", " ", "a", " ", "sometimes"}], 
     "-", 
     RowBox[{"binding", " ", "liquidity", " ", "constraint"}]}]}], " ", 
   "*)"}], "\n", "SetupShocks", ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"aGridVecExcBotSmallLength", " ", "=", " ", "5"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"aGridVecExcBotLargeLength", " ", "=", " ", "10"}], ";", "  ", 
  RowBox[{"(*", " ", 
   RowBox[{
   "total", " ", "gridpoints", " ", "in", " ", "the", " ", "aVec", " ", "is", 
    " ", "the", " ", "sum", " ", "of", " ", "these", " ", "two"}], " ", 
   "*)"}], "\n", "SetupGrids", ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
  "ConstructLastPeriodAsSmoothedInfHorPFLiqConstrSolnJoinedAtPeriod", "[", 
   "10", "]"}], ";"}]}], "Input"],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Solve", "::", "ratnz"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Solve was unable to solve the system with inexact \
coefficients. The answer was obtained by solving a corresponding exact system \
and numericizing the result. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Solve\\\", ButtonNote -> \
\\\"Solve::ratnz\\\"]\\)\"\>"}]], "Message", "MSG"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Do", "[", 
  RowBox[{"SolveAnotherPeriod", ",", 
   RowBox[{"{", "10", "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.505139991817594*^9, 3.505139994180035*^9}, {
  3.5051402083742523`*^9, 3.505140211407063*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"\[Chi]Full", "[", 
      RowBox[{"[", 
       RowBox[{"-", "1"}], "]"}], "]"}], "'"}], "[", "\[Mu]", "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"\[Mu]", ",", 
     RowBox[{"\[Mu]0", "-", "2"}], ",", "2"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.504791512486597*^9, 3.504791532061276*^9}, {
  3.504791617116414*^9, 3.5047916498114*^9}}],

Cell[BoxData[
 GraphicsBox[{{{}, {}, 
    {GrayLevel[0], Thickness[Medium], LineBox[CompressedData["
1:eJxF0F9IUwEUx/HrejEUWkGCTYthrEZNnJuWrgdf1sOE/iyd5jAhcVG2YmhN
l0QsZQk5bW5g0/2BJqlQtLm1q8w2bRHYHmSBtXbXUkoYjZrsao5MK6hzDvw4
fF6/7IvXpS0MgiAq/uzvn11/LO8tIQLEvyMdLDmjGP1M2t9w6wja+vTmeSUH
rVGI684WoEsXl6X52eiTrSKj1L/t/++cBEdlKETbr7YUUC9+gVmbU3ea1Ztg
YZ5JXlf+E1xPvju090MG3KwoecI0bYA7R1JFi8IfYF7jsd3Z0TXwa67Rqx6i
wcrb9aedlWlw5mOp/TC9Ci6aH7yU606BnRqyqt35DZzouHGwmpsEH9dlffVc
SYDnJszWDLkCzl9pCpJln8E6Ph3K6VoCd3Mv97uXYmAu856k88J7sJg9G/9O
h8H0S4dreuEN2Nezg/8lFgBXzR0wZHnQwS1RuvA+OqRu98gq0d63820DPD94
fVjfI7P5wG1H88aXtV6wZvRUK4uP1u7X8Wriz8EG5obzlQjtoiPTY7QbvOqz
hK4pXOCYWfJpbXACfCK8ZbOkx8HmnZNN4nNoWQcrbtwzBl6oTcYED0bBxX12
SzTlAPcFaxrvnkFLBDNUeNcj7MPUR1V6O/Ye6C4XUDYwYzvp0Q5bwX5lbVm4
wQLuombc7H0j4IpqjlAVMWPPKf1kYOghOEKlenNN6N9xHQJP
      "]], 
     LineBox[CompressedData["
1:eJwV13k41F8XAPCytAipVEiiLIlEIiFHIsmavRKRpAiVKCEVhShCFFl/iexr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      "]]}, {}}, {{}, {}, {}}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{0, 0},
  BaseStyle->{FontSize -> 14},
  ImageSize->{468., 289.23990673495075`},
  PlotRange->{{-2.0236995717702397`, 2}, {-0.24937930662109667`, 
    0.27249892505768364`}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"\[Kappa]", "[", "m", "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"m", ",", "0.5", ",", "1.5"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.503926646657872*^9, 3.503926700059568*^9}, 
   3.5039280254376802`*^9, 3.503928151607815*^9, {3.5039282191133623`*^9, 
   3.503928220759819*^9}, {3.5039283488132753`*^9, 3.5039283499545717`*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {GrayLevel[0], Thickness[Medium], LineBox[CompressedData["
1:eJxFl3k8VO/7xillSSUhUih7SipLJJciJYXQQtnLWlnaN6lU2mzJJ20oqRBK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     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{0.6000000000000001, 0.2},
  BaseStyle->{FontSize -> 14},
  ImageSize->{468., 289.23990673495075`},
  PlotRange->{{0.5, 1.5}, {0.17618419551247086`, 1.}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"\[ScriptC]", "[", "m", "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"m", ",", "0.5", ",", "1.5"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.5051346773044443`*^9, 3.505134678862899*^9}, {
  3.505141464073504*^9, 3.5051414652188063`*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {GrayLevel[0], Thickness[Medium], LineBox[CompressedData["
1:eJxF0Xs0lGkcwPFJWyIruUwRioyjWkm6udSPoRGSmh0lRYyl3EOhLVJRqo3c
Wqm1nZKklhwpreuiyLpPbqGUezTP+2bMK2O17/6x8/zxnM/5vuf3POd5z6PD
D+Z6yzAYjAh6/advv0ieweiH/901X2h+QQZroD8SsHABdti/u0lBHvsTVZas
ror1ULykYWKA3W+hvtZnL9Ymfbtdwx3sDbUZ+ZVOH6SSK+tODpJYVr1WVGTS
R6nNpiOyKTsGpF7YUmW+qh+bN600aZI4KLXAdYTDNB+SWm7XbO3fg7WaW1vD
uTwstQnSP6euG5G6SedaYUE9VqluapYXMSpVLAlGfsvHpHKn3Lxla7GXEgQR
oaGfpL566mqyV3lc6uk7zqFPK7Bm6nzXq54TUoMPfHw5qvRZatTmT42qZdi0
O/PPFroJpbq0t6sEeGA15HNy9LywmWG729KOYbM5aazIMGzxhH6DxWVs7zZ7
9VdPsZmBmnnRz7Eed4XsrX9ihxanBORUYIXveiqu1GMZcYE+Tv3Y1a3XC7sW
I6kau2VVvBSxSrVRoZ+VsLOlfsYyTGxHjk3+ulXYhtUlis90sdWZxkGWLOyT
VG1D57XYyzHTudGbsDGSIHm5rdjw8CHfFFNsAHnotZYFlh/QZpCzA+sysit+
oxWCqSf3BNctETjxK0ZKrRGcL84yT6e/c/o229pyEBTFClN+ZyOwcHmc3boL
AS/lem82PbdRoLvwsAOCUx4Zank2CNbsuek97Ejv91kBRTsRMG0u6km4CA7O
VXpV2yJARh539dwQNLIcpt7R+4ZzO+blH0FQmVBROLQbQS/L0dOUj6D1lb7X
BH1O3QqzVXuOIjjhtDjtqxOCu7KqmREhCORVejkqPATO72tv1sfR9w9cSlgf
RlCSYJR0PA9BskSzJiMAwQaD5euETxAMcRozMwIRZP/FeOlfSM8p9wVkBNFz
otZpn2IEpud4AzePIzjmesLDrQrB6RIT8/QT9P31XxjZdyAY6NpyL/kMgtAy
dtPqOQSeaprF0b8gUBPnxo3rEyA/xliy9TGCeNnI7/hRBFhtE3DTCPpd3jd2
Lm0iQGm27JRoGQGbMvomYlkkyCVrWy8wI+CNnvHeI6dJOBmR06F9iICvJ79f
FPY3Cc5hRwe54QR0P7w3z173C7Bq2gfsEgnYkVXl5Br2BXxaJLUzWQQkBrEm
Wqu+QN7ssjrBCwJurWDXK6hPwlLHFo2hZgJ+SByZjfGdhPo/HiSODxAQOcQJ
Ka6cBF/jIIW5aQLsZIzM1iiLgDeQE6imQIIsct03jy+Cazs/73LQJiGm3DL3
drEIxm5Xa1kbkxDNyz8QIjcF68MfEPZsErY2dnLkPKdAS8ahmc8joVfNJnbR
8ymIjYgUfvAmYSHLlGklK4amRe9NRk+SMM4cHbNwF4MD2cQcvkj/Z/NK5dB8
Mbjf77Q5doOExwduxSt+E8N2e6b+/vsklFe1WAY5U9Dj96tkexE9L0pwlM2m
QBKg3t1WTUJVE3tD8AMK+s7UH1WpIWHDQ7FyZw4FNyXPyR/pVnB378p+REGZ
527qDd01tYZenAIK+HERrztekrDxVkNkXCkFNf0lV7prSVBiy2fNF1DAq1GJ
76HfIVqz/KL/GwpiCfuYFQ0kTIhDfAXtFAR9fBd2iO66R93r73VRkLpEx7GH
7rNqD1+w31GwyG5t3dtGEoSjts3nxiio0zH80NVMwuFqScHYJwryDR8kLm8h
of63/NR9ExRwK6+ZutCdzV3mqoMoSPLIOttJt1vp8GCliAJ2o3J7eys9fyOj
1kBMgfk+hSNqbSRsC9mTe52iIEb350Ee3ar6z4I9ZihgXn32QUD3eYYft05C
QZfSpYMqAhKIt1qbN/xDQWVlcwOXbvei1mXpcxS4JSWZJ9PdkBg38+0bBVRk
4/1Wuv8FEzjazw==
     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{0.6000000000000001, 0.5},
  BaseStyle->{FontSize -> 14},
  ImageSize->{468., 289.23990673495075`},
  PlotRange->{{0.5, 1.5}, {0.5000000204081633, 1.1142136074700468`}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"nP", "[", 
      RowBox[{"\[ScriptV]P", "[", "m", "]"}], "]"}], "-", 
     RowBox[{"\[ScriptC]", "[", "m", "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"m", ",", 
     RowBox[{
      RowBox[{
       RowBox[{"mVecExcBot", "[", 
        RowBox[{"[", "1", "]"}], "]"}], "/", "2"}], "+", "0.01"}], ",", 
     RowBox[{"2.0", "+", 
      RowBox[{"0", "*", 
       RowBox[{"mVecExcBot", "[", 
        RowBox[{"[", 
         RowBox[{"-", "1"}], "]"}], "]"}], "1.5"}]}]}], "}"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"Black", ",", "Red", ",", "Green", ",", "Blue"}], "}"}]}], ",", 
   RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}]], "Input"],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {RGBColor[0, 0, 1], LineBox[CompressedData["
1:eJxF2nk4ldsbN/CdKalkFklEksiQSiGiUZREZZ5jp0QkKdM2REkSmceIpKIo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     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{0.6000000000000001, 0},
  BaseStyle->{FontSize -> 14},
  ImageSize->{468., 289.23990673495075`},
  PlotRange->{All, All},
  PlotRangeClipping->True,
  PlotRangePadding->{Automatic, Automatic}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Animate", "[", 
  RowBox[{
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"\[Chi]Full", "[", 
       RowBox[{"[", "n", "]"}], "]"}], "[", "\[Mu]", "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"\[Mu]", ",", 
       RowBox[{
        RowBox[{"\[Mu]VecExcBot", "[", 
         RowBox[{"[", "1", "]"}], "]"}], "-", "0.1"}], ",", "6"}], 
      RowBox[{"(*", 
       RowBox[{
        RowBox[{"\[Mu]VecExcBot", "[", 
         RowBox[{"[", 
          RowBox[{"-", "1"}], "]"}], "]"}], "+", "0.1"}], "*)"}], "}"}], ",", 
     
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Automatic", ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "0"}], ",", 
          RowBox[{"Min", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"\[Chi]Full", "[", 
              RowBox[{"[", "2", "]"}], "]"}], "[", "6", "]"}], ",", 
            RowBox[{
             RowBox[{"\[Chi]Full", "[", 
              RowBox[{"[", "Horizon", "]"}], "]"}], "[", "6", "]"}]}], 
           "]"}]}], "}"}]}], "}"}]}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"n", ",", "2", ",", "Horizon", ",", "1"}], "}"}], ",", 
   RowBox[{"AnimationRunning", "\[Rule]", "False"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.5017337453998327`*^9, 3.501733819242345*^9}, {
   3.50173404612064*^9, 3.501734063295311*^9}, 3.5017552405653963`*^9, {
   3.501755284123892*^9, 3.5017552885957127`*^9}, 3.501755422016629*^9, 
   3.501758628406562*^9, {3.501759447910331*^9, 3.501759448021434*^9}, {
   3.501819230450416*^9, 3.501819234933877*^9}, {3.50181928537617*^9, 
   3.501819453343951*^9}, {3.5018196302473927`*^9, 3.5018196327022467`*^9}, 
   3.501908077997176*^9, 3.501908449744567*^9, {3.502080673852906*^9, 
   3.502080677531324*^9}, {3.503908378313442*^9, 3.503908380692059*^9}, 
   3.5039286353221807`*^9, {3.503928768423978*^9, 3.503928771838211*^9}, {
   3.503935400799115*^9, 3.503935415284684*^9}, {3.5049835707942133`*^9, 
   3.5049835743061037`*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`n$$ = 2, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{
      Hold[$CellContext`n$$], 2, 10, 1}}, Typeset`size$$ = {
    702., {209., 225.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`n$128267$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {$CellContext`n$$ = 2}, 
      "ControllerVariables" :> {
        Hold[$CellContext`n$$, $CellContext`n$128267$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Plot[
        Part[$CellContext`\[Chi]Full, $CellContext`n$$][$CellContext`\[Mu]], \
{$CellContext`\[Mu], Part[$CellContext`\[Mu]VecExcBot, 1] - 0.1, 6}, 
        PlotRange -> {Automatic, {0, 
           Min[
            Part[$CellContext`\[Chi]Full, 2][6], 
            Part[$CellContext`\[Chi]Full, $CellContext`Horizon][6]]}}], 
      "Specifications" :> {{$CellContext`n$$, 2, 10, 1, AnimationRunning -> 
         False, AppearanceElements -> {
          "ProgressSlider", "PlayPauseButton", "FasterSlowerButtons", 
           "DirectionButton"}}}, 
      "Options" :> {
       ControlType -> Animator, AppearanceElements -> None, 
        SynchronousUpdating -> True, ShrinkingDelay -> 10.}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{766., {267., 275.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Animate", "[", 
  RowBox[{
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"\[ScriptC]", "[", 
      RowBox[{"m", ",", "n"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"m", ",", "0.01", ",", "5"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Automatic", ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "2"}], "}"}]}], "}"}]}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"n", ",", "0", ",", "Horizon", ",", "1"}], "}"}], ",", 
   RowBox[{"AnimationRunning", "\[Rule]", "False"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.501908124442185*^9, 3.501908197185747*^9}, 
   3.5020806900826893`*^9, {3.5022262880744467`*^9, 3.5022262887261047`*^9}, {
   3.503928779209033*^9, 3.50392878252096*^9}, {3.504983506198451*^9, 
   3.504983508434588*^9}, {3.5049835508641443`*^9, 3.5049835532724867`*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`n$$ = 0, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{
      Hold[$CellContext`n$$], 0, 10, 1}}, Typeset`size$$ = {
    702., {209., 225.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`n$128319$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {$CellContext`n$$ = 0}, 
      "ControllerVariables" :> {
        Hold[$CellContext`n$$, $CellContext`n$128319$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Plot[
        $CellContext`\[ScriptC][$CellContext`m, $CellContext`n$$], \
{$CellContext`m, 0.01, 5}, PlotRange -> {Automatic, {0, 2}}], 
      "Specifications" :> {{$CellContext`n$$, 0, 10, 1, AnimationRunning -> 
         False, AppearanceElements -> {
          "ProgressSlider", "PlayPauseButton", "FasterSlowerButtons", 
           "DirectionButton"}}}, 
      "Options" :> {
       ControlType -> Animator, AppearanceElements -> None, 
        SynchronousUpdating -> True, ShrinkingDelay -> 10.}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{766., {267., 275.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"cLiqExact", "[", "m", "]"}], ",", 
     RowBox[{"\[ScriptC]Lim", "[", "m", "]"}], ",", 
     RowBox[{
      RowBox[{"\[ScriptC]LinearSplineFunc", "[", 
       RowBox[{"[", 
        RowBox[{"-", "1"}], "]"}], "]"}], "[", "m", "]"}], ",", 
     RowBox[{"cLiqOrder1Func", "[", "m", "]"}], ",", 
     RowBox[{"\[ScriptC]", "[", "m", "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"m", ",", "1", ",", "m\[Natural]"}], "}"}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"Black", ",", "Red", ",", "Green", ",", "Blue", ",", "Yellow"}], 
     "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.501734507656342*^9, 3.501734549372719*^9}, {
   3.5017346611120653`*^9, 3.5017347175785933`*^9}, {3.5017348275032997`*^9, 
   3.5017349563629932`*^9}, {3.501780766707646*^9, 3.50178076983116*^9}, {
   3.5018197760600643`*^9, 3.501819798611952*^9}, {3.503928975033999*^9, 
   3.5039289951278687`*^9}, 3.503929034081246*^9, {3.503929084146139*^9, 
   3.503929090551313*^9}}],

Cell[BoxData[
 GraphicsBox[{{{}, {}, 
    {GrayLevel[0], LineBox[CompressedData["
1:eJxF0Hs4VHkYwPExw/EoJim5V6pt5ZbWJU92e3+VoqXYGrdcExKlRJYhm0kl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      "]]}, 
    {RGBColor[1, 0, 0], 
     LineBox[{{1.0000000369625521`, 1.0000000369625521`}, {
      1.0005555167794458`, 1.0005555167794458`}, {1.0011109965963396`, 
      1.0011109965963396`}, {1.002221956230127, 1.002221956230127}, {
      1.0044438754977023`, 1.0044438754977023`}, {1.0088877140328525`, 
      1.0088877140328525`}, {1.0177753911031528`, 1.0177753911031528`}, {
      1.0302474502430206`, 1.0302474502430206`}}], LineBox[CompressedData["
1:eJwVknsw1Wkcxo3ToEgpnVOmU+mU7qSbW/Wse26rw2FcY6uDbSNT5HLCkmoj
WqqTqHZZOl1sjYQOisoWyaS2yZJEaisjfu/7O05rtrTv/vHOd57vvO88n+eZ
13z7Hj+5ro6OjpSd/2ezOuviuQIOXeuUY8FsKidCxLNOcpB9+GZ+0wkOsc5r
C48pOZxyCRAvZNOsY1ChKOGQMl9eMlDMYV+/i29wBYeMutYmt3IOFvr6WlM1
h2Xa7quXaznkynKdj/VzGOz5x3egm8P2MztuCgY5rL/h7iHo5WDb57BK8ZaD
qEa6UdLH4U30sHDXEIcL4Y6m4a85bFb4DLlrOKiKN1TeZHuudFqBwIDgsUd1
5vR/OQSOnuhLtSK4fqlt2NOMQCjXprZaE9imbpYbzyV43hMkEq4j8Ardat8p
Jgi4L95aZUvQkiya+NacQHZOdeedI2H5WvXslhL4eTWUy2QE+RvDSdN6Ah/V
612WKQTBJ891/uJLYCR21T+gIBCXF1WvlhI8KlT91pbG/E0KTZr9CLzTd/fu
zCLQWnk79QQQeAZofUpyCVLO7i34HEqwRTDF2uA84/GzbhiPJnCJsP40cJeg
WNQ00JvOeEbUuov+IGh7+buR7Y8E8jQn46gHLK/9330FmQSHS/wXD7UTVD98
cMAxm6C1K9GfPiNY0xBS9/NRxru1/pruO4KcSxJu9ARBoKNzjMSQ4tq0yOo6
FUFUZ/s++VSK2ln2Bz9cJEiKkGWoplHYb5oQml0mKEqTK1eYUkzW7c5LqiTo
UR9pWSumEPW+eSKpIti25tECFyuK/WfVCqd6gmhJQPdOfwppWeKZ84yr6KzD
YFcAheHtF953HjG+WQs/egZRpNnNvvq6g2CpwaiOdTjF15KKdPNOgqHhn5Z+
iaLotzBMPs5y7K5tTDqVSsEZP2xf9ZIg3mOR8H4phc3XsDHFR4Jf705ZYFfO
/MTcmf0jBJ0OZFnlBYrxicHp8aME1pa3NxVeoYgLzkiNIAR0RpB8Ww2FY1Za
2OoxgoTe3BvaVoqEbZGhJZ8Jkvfwfks4Cq1Iz/n8FIrCOTuz4ynFbotSYTTr
7cq9ZzVqDQXN9xBYGVH0iWpne4+z/O+SVzSyHl2bk/vidXkk6vs+aZ9OMcNk
4vt6Ux5Vufec7ggpKq8bZPrY8ch6b77RcCHF/bCU60oHHu7jD7/cZPqV3tDg
q008EizXa+US9j603W2vEw9phuD4rUUUKYJ8o9NePCyMDqXuWELhJptZ1B/O
QxWiNzl3JcXAmPjaviwekcaBB303UJjlDPd9zOZRucEmhTItm9dgHHOEx8ih
uoqTNszfLSgu7BiPZUG+que2jO904SpXJQ9XARcrdWC57PQrhZd5pK45bSL5
hsIojbuofsJD933Op80ezN+k6a+1z3h0hHsYtjOdUZFncPU5D0uSoAj0ZD11
LI8pe8HjqFVH4g9eFF3z5Ety3/KIdVLyeT4UZc3dFWHjPAIzVs6tlVLYTrpX
9nWBBo+3JEWVBFPcrapzjJNo4B17a87MEArviMr+3sUa5H1p8c9h+rv6U/Pq
l2sQISmITAqlyImPKU5Yp0HA012fvdi/etE7tfCDuwYWlvk2/ZEU6TVBmX/G
sfvb3+c3RlO0RI1EqBo1mP/2cNjBBIpJK0oLnkrGIGxVtkmzKf4D/wGatg==

      "]], LineBox[CompressedData["
1:eJwV0H0s3HccB/Bz577psFtrNZ1S0S7BdY7m9KroPh/ijLIxc4xR24VWJhtX
D/VQolMPFY1uWkVX7dx5KjrtqadwCKNspDS6ds1knsbVctH7/X4eTrHf/vjk
k1fyTt6ffOzkiSFxXA6H8xE7/+8GXt3u808YqOEOuNYW6yHT4bnk9AoDtgaB
N9boQVVYHizNWYO6ONNH9p164Hm8FEcJ1qGlpVWbO66H4LSq+w/vrYM+OkVX
sKAHZmXRtMxzAyQ3zd78vamHIm0TR/3nBqyvesXO7qUg2GNDo0vdhB5D8Xuf
2VOQNPIkpo0YIGHFQmXtSUHOyyMVXUoDoM4tryCEgkVHntpPsgXDQ9buweco
cOdEx1lOb8Hax3d+fZBNwZDw1KyR4g2MRxlq8ssoqCtthDTuNsi1yeKBegrS
Ll47Lry7DcMlYQUlvRRUK3mCePEOyGUpVwcnKdg6tP3LwOAO3DJRLacsUuB7
WKGN/GoXqitM7O8bKNDGKPg5+l0YTvDsjxTQoDFPi0ry4+Dr8/5DRUdo+PnO
WpVzOQf/wR6lyI2GVv/eMfUMB5d6JtVBATS0n/AaDncywuzH7odfxdCw7G2q
7k8zwhtTRX28ZBpc0ysud2iMUO4z4Ho7n4b013N2E2ZcdNl8LGqoZPOFya2N
Mi5Kf+jbONlMQ5B8wKRWxUWfopGnkn4a5iJkYXE6LrYlV1/STNFQmtVcoJbw
UO6i2jO6QIN4tv97u3wezl8gGskGDbzYg0mhEzzsmjm2KjFhYEwodqy3Mcay
ibzpMhsGmg8KRgoTjDE/yctK4cJAt6NzmFObMTbVvvVo2YuBvqy3H+i5fJQ5
6vRtoQysvjq2fTGQj+H0XIHtWQY8Lr8vunGdj90vPs00v8BA9tca4fgcH2nh
E3HIFQZWvmw8MHaUoJ96eulEFQOxbbc5e50Idii89+WxnjH7cVkmIuh2ysFt
gvVUb2bnrAtBxdaZnNhb7D22gV9sHmfz+zP+vfYTA8XzupsOSLCyOyZIW82A
MMHVsjCUYNPTNecKJQOqQYfd32UEP3fN3zPP+pC1zZJ5OEFBTcmMk4oB83F+
R3UEwXYVyRtkbRD9EdZ+huBfvvUtuloGRvUZ5YvxBC/tVF3xaWDAO+C7nKPf
EPRx6T5ZyrpHKT+rSCBolRiy9IJ1a2iAZPtbglvv6twTGxmoaLd+tj+ZYJlh
crDyHtv3zj5NZArBxetdMQusS87x6+6mEjztabUpamIg94Au9cN09j8PfT8Y
Ym1Imos+n0FwNte8XdDMQMroM2lnJsGSqHBpBGud3W9OO1kE/aUWU0rW8Zl9
Fj7ZBC09AqN0rP8DnvnnhA==
      "]]}, 
    {RGBColor[0, 1, 0], LineBox[CompressedData["
1:eJwV0XlUU9cWBvCQwK0IBrRWqQxKcYQiM1IU90HBUgFFJRgcmqpAIkqZI3Np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      "]]}, 
    {RGBColor[0, 0, 1], LineBox[CompressedData["
1:eJwVknk0lesawLe9+WS4DbuBDjtDKnHQjjqdHOt5Kd0yJW1j6CRTUbaUYz6S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      "]]}, 
    {RGBColor[1, 1, 0], LineBox[CompressedData["
1:eJwV0Hs41XccB/DTOfwWoabWZTmNMFHIrTbV3l+X09qwrJyUxPJELSnCyfUs
VqEIKXPSRZGTVFrMrZxIMYpV27pts1E9ldo5v1skt/32x+f5PK/n83mez/v5
WITtWBUuFolEIUL932cavTYQiWg8zbjXtDRHh+6IiN3LxTTaIq23GefqsLfl
n4FsPRo1IzkDf+XpwCp+fzLLgEaL0VCJ8rAOXb2aJhdTGhvqT8k1xTqk1+XH
bLai4VwRmrX4nA6vwxY/6l5Bo6IkInpquw7NDelnj+fTaE0y8PQQ7q7RFfQk
OTIYqZSl9S2jMT18IOlnJwbH/GLntH9G4/7jtTOmuzK4rzpWVQka8jap/4+f
MKhdefpCnAeNgOPqluceDKpbT06nZDRW+VwpCwhgMHjNIPtjXxp+6r6tDokM
mkadZ38VRMNIKnsvJZmBT5RNqu16GrcPqUs7UhlE9M2KkgTT8FVu+3NTOoO5
xcmu1RtofCkf8Cs+wCAgxNNEbyONFRJDp4knGMw3VCNhMw3vUKfB3usMdjgF
i9SxQh5tg9jqJoMELkYWHEcjPNXTJKKdgeGVtLYp8TT2Fa+27r/FwCEk98Yu
BY2fH8SvZn9jsGv5gXIkCnn9G6vEzxnYXotyr1EK//Hw2mI5iYV898fa4Uwa
my3ljzatZvF85/nQhGM0EnZwq2xoFo53Q6zSbtLofSOtik3nYFilG5D00/hE
r/X0uDmPYdUOg7TJDG5EaEPVV3nU2rStMndmcFZSPv7Q7w2mbT2YH+PPIGne
w0VfvnqDhUWdYeujGZRlFPrLlAO4Ka03NM5hIFnyh0uwySC8lppb2p9l4K84
evHyuUFcuEu5Vdxg8ObVs0kFS9/iu7rvc6J6GGS+rBRVP34LjXJZb/aQsL/k
rUYbP4R1jSEFUVNZRLffCa2h3uGJyq+NtWOh/MOyqKH0HbzYnusPvFg8s5VU
r1g0DNVp57QDQSzcRRvCZ/w+jDPS5vTinSxu2C3rnRAzgsoCs6uNWSzKcyug
EI/CzLn8YN8JFoqUPDe7klGU23y7MfInFidKJSZbXMbQcyHrQ2kni+E5o1Ut
rWOwOkN+mdXDYvncmJdB34xD3qFOTOBYvAyN0Vey4zB7OCPN8j0OGlNFcPQK
EbFmm5bbm3E4dXLgqGOhiNifdtqev5DDpS+aOqt7RGSf6a8uIV4cahd7tAXa
TyBdl89NzAzk8MJzUnWzQnC8+LXNVg6uCUV76jQTSHTzycJlKRwSmD6LbiMx
0TVkj1zMFfYzYi9VyMVk/7hCWXGKw8qwFsMzZWISuM+haLiGQ986+ZpwrZiE
7K+z/LuNQ27y+X3ViyTkr/jrHbKHHFx6m9Mt9krI9qyVz8b7OUg2zY4O6JYQ
laxfsnaEQ6edi61aqkea3B+rxk14nJ9t0p4RqUfSVb9qF1jwaLR1XGNfo0cq
37l9LnHmcS3Z+EdWrE9aaxd0WXnzoPudRlN89YmxTqXhA3gs2TPL4chhfTJU
/6GvPJxH6kaNXVefPkmskbSPKHi8Wl8xs3M+RY66j3qvz+Cxqea4aIo9RXol
pXPLBPcYHXohdxD879djrwXfa0qq711IkUmvblUpM4U8H/muHXKjiPWg2/Cp
LB77n2h/mEcoEpdh7PriAA+7SNcZGQEU+TfP3DE2j0dZ67zx23KKMHlfdF8R
PMdM+tw0kCKzO9Ii9fJ5mHbp151YR5HQEvOSI4LfOTxYUxtCkRYzKVt3iEcH
m1j4bAtFpqvdPx05zMPTZ7ty/laKPA2KavA+wuNqaVhETCRFFJ9eXpwj+FKA
z6LRKIqsdop1mFPIo6jW7P60WIp4WzzQIz8I9ya/rwmKo4jYoyQ+U3D2Zv3y
kniK1I6lPL0jePdMbfyCBIoEGe28urFIyBPdt2FnIkUC6/dbnxMc13FfVp8k
zBvrslnBWotb9mPJFJGRIcZdxWNL0rUPvFMp8veulfLvBf8HegvjgA==
      
      "]]}, {}}, {{}, {}, {}, {}, {}, {}, {}}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{1., 1.},
  BaseStyle->{FontSize -> 14},
  ImageSize->{468., 289.23990673495075`},
  PlotRange->{{1, 2.8111650549545235`}, {0.985915466017799, 
    1.3547195058233166`}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"\[Kappa]LiqExact", "[", "m", "]"}], ",", 
     RowBox[{"\[Kappa]Lim", "[", "m", "]"}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"\[ScriptC]LinearSplineFunc", "[", 
        RowBox[{"[", 
         RowBox[{"-", "1"}], "]"}], "]"}], "'"}], "[", "m", "]"}], ",", 
     RowBox[{
      RowBox[{"cLiqOrder1Func", "'"}], "[", "m", "]"}], ",", 
     RowBox[{"\[Kappa]", "[", "m", "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"m", ",", "1.0", ",", 
     RowBox[{"(*", "m\[Natural]", "*)"}], "mSplice"}], "}"}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"Black", ",", "Red", ",", "Green", ",", "Blue"}], "}"}]}], ",", 
   RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.501819669379754*^9, 3.501819701308186*^9}, {
  3.5019060512870827`*^9, 3.501906054688134*^9}, {3.5019082490016317`*^9, 
  3.5019082515175543`*^9}, {3.5019107783694963`*^9, 3.501910792998426*^9}, {
  3.5019116969807863`*^9, 3.5019117050116653`*^9}, {3.5019118459231663`*^9, 
  3.501911846856584*^9}, {3.5020811560981607`*^9, 3.502081157624324*^9}, {
  3.502081225136455*^9, 3.502081233278179*^9}, {3.502081286226981*^9, 
  3.502081286535142*^9}}],

Cell[BoxData[
 GraphicsBox[{{{}, {}, 
    {GrayLevel[0], LineBox[CompressedData["
1:eJxN0ntUjAkYBvAhJTJb0Y2UpIuxVJuKpTxdmCwaFUrUilNZsVQyJl0NlRaZ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      "]]}, 
    {RGBColor[1, 0, 0], 
     LineBox[{{1.000000006567822, 1.}, {1.003158483308331, 1.}, {
      1.0063169600488397`, 1.}, {1.0131652614877453`, 1.}, {
      1.0195597375910561`, 1.}, {1.0258287794565997`, 1.}, {
      1.0275288769124575`, 1.}, {1.0292289743683154`, 1.}, {
      1.0296539987322797`, 1.}, {1.0300790230962442`, 1.}, {
      1.0302915352782265`, 1.}, {1.0305040474602087`, 1.}, {1.0306103035512, 
      1.}, {1.030716559642191, 1.}, {1.030722367902167, 1.}}], 
     LineBox[CompressedData["
1:eJwV0nk8lmkXB3AKI40sQ6WGRIgpJqMyk/pVXjIpg/IMM8Rr7NUkL7JlX7KV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      "]]}, 
    {RGBColor[0, 1, 0], LineBox[CompressedData["
1:eJxNx300lQcAx/ErL8eV60wtrFIqUYfpehbyUk/YMc1cumds8jbCOVZeku68
k3dW3sfUOd7m3iFh8rLcNr0gupu6KnKxiHk5o3sv18Lsmv3j9/zxPd/zOeAf
xg7cRqPR4jb7/x7ujxRoNAmp1Kc/b5kyTH5hNTsrVofd9jGevf4A/j1jpWfe
DBZ6vP9a1xX+aZ0ZLgiGGbbio7w0CalNBHTWEsNkZFuPHicdHjUq03bIgPOm
6TsbKLavvKKhlQn/7TlBT6C4TstZeXrTPfKBXWoLr8gohfXFtGz4k/m68cPX
4KkHqvcCc+GrJUEl3AKYb3eQdbgUXl4YU+KWw4a7eCr827CHTaiqkA+Xem6k
Rg/BgZP3DzpI4dvq+nMkQ7rlpLL2Z96G8DGFz0xXTsOeyskdnV5wZsUertV5
uM26Nbc1GE6u8vz08wuwM32b8tJFuNnGzf9hCKwTXtOZHwoL6OzQVYoTfvhn
r1+YlMyxLLITyQdJ05NcQS/FU4OsGGY4HFt9UxxyGd4RMRtwiwMbR1/sb0+F
HZIkFl0FsNrPi9m1pXC/WDaWUwF3xrcSjlVw03ZOhkI1XMMeNP2D4spS89EO
LrzvlyDTozwpeS7ivW7zr1+QN8aL00so1lJ6PKL8I1xg+I4ZSXGkfZRoug52
911N8WiA9RWLrcz5sJRHSHf0whZ+tcXqT+H4PXo2KoOwxpN4btcQXBE1opEy
DH88RdQubrqlPPTm8xkhOeeSbe8vgnP4E2NCiglDyyjbEThGPlOvNwo/elk8
sUHxNMFuiRuH6XmMjNVJWHSi8I1cAtdP6JxSksO/vejWtdm9uOXH31/mSMzg
vFhN+XUL+EufxjQjS/ieS8KZNYr1bJ0ZfVbwwN3jYUxrOJXYKyzZtJmBUV/m
naek+S3FjzYonj30V1GQDRw9Z1BdScJqjf53Ru1gYyuRkH0GZnWflfS6wK71
+Q8E3vDZQmFB/wV4vO+q+0oa7CQkCsvKYSImbeUSH+Z+q5oY/BIuOvWhSY4U
9n3Idj/GWNpyW0NNucwAzrKp0Jyxg2eJ3up/veBDa5KmPA4s8uf/6VoA6x5v
szarh0d57A6HXtgwef+5uDcwy2QhwmQdlsZ6tTB0ZFvWI9a1NAlYkHWyypYF
z+9kTRq7wRplPvo6XnATL+xVOsXsxqRryxTL2vNPB3jLSLFj81eank/I4vtV
sgGKRcIuryYfeP/kdNd1X7hG2eg7Rz+YeSQsUPE8bBvyTjk6CGY3J/LeBsMj
aycshzhwgP2ioDMFXrqisvvXcpih6ZQ1fhdWjM+7lPgc5mR/k+wkhiNpuS3W
9OUt30hwftuqDXeubz/CNID/AyjuBsc=
      "]]}, 
    {RGBColor[0, 0, 1], LineBox[CompressedData["
1:eJxNzXssFAAAx/E71DzuypnlsihppOlwQytyqJRE3OYQUTe0W0Ze5513hobR
Qn84a1FJonkr2pVXF7uLHjNCJpeFe25HHumf+90fv333+etnwY5jRmkRCISg
3f1vCOs9kUCQMG6NMpflAXOMoDNi8RoJDjQnC2cPwmNFqqE/TrAoxHjWzB9u
27S/I+DAZI81m8ZCWLkyo9PAg0NcY3VFfXBt6E5B2jc4auHdUS8p/JJ07DeD
LFU7p65LeN0atiNecVC5w6F78noHwuBOl47yDg5slCCOfMGFlTKqLCYV/p7o
nU1Lhy+3z1/YnwG/UaSRJBpWGg/F3ciEaU5GE0INRweGO3tkwbzkptq2XZsR
W9m+Dl8Z0SkG7Y65sG1azHhXAdyTSdPuL4W9ciSnPlTC42uKmbJ6mBWxnh/S
Aksb6VKjEVivgly0vgA3z1PddLbhT5ODZq6mMrWHaxK5EifYbzBAMnIVDqgS
VY7fhudGc1mqQthHRK+q48H09EJVfB/cUKqbzfkCP3A7SSuTwkU851SuCk4n
uPPDd+Dih3NeYxqusc0VuBDkaj/lW/g37bo7adHKaF3I6AzmT1KJ8GSB9g+l
huWt55c+a8H2esPr93XgmJvepIt74V8UP4c+PTiCz2TZkeGS7q0NiqnGf8sz
nsIKLnatpyx5wmL6yJOtMNhyQ9JawYWn2H2L/pWwmWOni1MzPN3I7PUaga3z
Dl/L/An70VYSaJuwNCOsnUxVqH2EvnmAQocFxWcfe/jBzNfZjascOPKcTDCQ
D8uT95r282Ayxad4rgfWzqqIz56AuSUpeT5rcBKhvN1FT6l2lCLs3isNs8Qn
gi31lYyP1W7LEa0CxqVplU21hk8Lh/7qG8CHutk8mYa3edueUySYH+dc8nwf
XMSIFaUawoazMxEmxvCju76rHSZw81tbA7k5PLBpcNzeCv4HU+jOmA==
      "]]}, 
    {GrayLevel[0], LineBox[CompressedData["
1:eJwV1ndcTf8bAPCm0ZDKKElJWqi0NTztSSpK0lCIfCsJSaShjAahRWlQNJA0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      "]]}, {}}, {{}, {}, {}, {}, {}, {}, {}}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{1., 0.2},
  BaseStyle->{FontSize -> 14},
  ImageSize->{468., 289.23990673495075`},
  PlotRange->{All, All},
  PlotRangeClipping->True,
  PlotRangePadding->{Automatic, Automatic}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"\[Chi]", "[", "\[Mu]", "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"\[Mu]", ",", 
     RowBox[{"-", "2"}], ",", "10"}], "}"}]}], "]"}]], "Input"],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {GrayLevel[0], Thickness[Medium], LineBox[CompressedData["
1:eJw91Gs4lUsbB/Dl8CakyDGtx+nREiqlLTk1k0NEkg5IOZUK2Uq1bXEpKoly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     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{0, -7.},
  BaseStyle->{FontSize -> 14},
  ImageSize->{468., 289.23990673495075`},
  PlotRange->{{-2, 10}, {-7.443886065414504, -1.0322615581122478`}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"\[Kappa]Lim", "[", "m", "]"}], ",", 
      RowBox[{"\[Kappa]", "[", "m", "]"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"m", ",", 
      RowBox[{"mLast", "-", "100"}], ",", 
      RowBox[{"mLast", "+", "10000"}]}], "}"}], ",", 
    RowBox[{"PlotStyle", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"Black", ",", "Red", ",", "Green"}], "}"}]}], ",", 
    RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}], "\n"}]], "Input",
 CellChangeTimes->{{3.5016944102114363`*^9, 3.501694461506895*^9}, {
   3.501694925152197*^9, 3.5016949330188627`*^9}, 3.501695130670392*^9, {
   3.501695216240391*^9, 3.501695239772532*^9}, {3.501733095169855*^9, 
   3.501733116200162*^9}, {3.501733624551428*^9, 3.501733625179901*^9}, {
   3.50175913999809*^9, 3.501759151982798*^9}, {3.501778226022892*^9, 
   3.501778229075767*^9}, 3.501779711130966*^9}],

Cell[BoxData[
 GraphicsBox[{{{}, {}, 
    {GrayLevel[0], 
     LineBox[{{259572.41107636565`, 0.03923127731099663}, {
      259669.19020697792`, 0.039231277212706514`}}], LineBox[CompressedData["
1:eJwd0n0s1AEYB/CT5OTl98h1XnM7d2SnvFyUt8WzRWIsRmyZd7FuiMuVWuy2
riRJmtJsmWjmirYoN69RFw3ZjKIpll2mtFN0ESqPP549+2zf7Xme7eGn5ESl
b2OxWOLNor6rIy1k/BmDZdEx3jxufYC4+mFzaSeDx7NkB8nZpmOC0T4GE7gq
T3JC+ozNygCDmmD9A2T30EcFdSMM9kSIPMj2valzU+MMsp/nupG1rz50Vk8x
GGBbuZ98ttmN4zfL4EdOnwt5tyjvQuY8g8f8GRG5SiwNsV1k0PSWtzP50HCy
Y7yOQfwjdyKXhLtevrTOoLV6TEhOaop3rNADdP+mLyAbbViVP94OqK+L4pMF
t1ubjdiAb+WFPLKlXYBZrDGg5mLLHrJ1dmC+xAzwiIhtRy7dwS/vMwdcvOpj
QzbNPP90hgPIk5dYkVnwpBitAP9FqLjkIeVYTYUtYKBMyyE3mOV2K+0BN9jB
FuQl1UK5gQNg9P0Cc3L4vunTex0BK68MMWR5xQuFjzMg566zGdkpQB5d5gLY
8C7ZhDzZqhIpXQF1vu07yRtnRlrZYsDpn1o2eY03XhTrBRg27WpINqyKjMry
BrzeW2pAVpxomlD7AQYJB/TJ5p+KTmkOA06kOWwjy+LQ6xcCLjcqWFv7WX9u
OxoEyKp+/dee/qFuFZNDAAf9nTbIxdLFoq4wQL/m1DXygkmCeiYCsEbVs0oW
3WsPW44E5LcKV8iTEp0iNAYwSZmhI98xbOzPiNucb/Jmmaye9+3qPwkovcFe
Ig93dyxZJgKCceQP8mx8i4dbCuC5/jYtWYIlgmvpgEXD69/Jetr3dspMQO5a
4gI59yYntkMC6Pl78Cs5SuYexOQAWmRw58no9NJXlAc4Mlo4t5UX1ms10s37
HlR/Idc6KOpr8wG9lSoN+T9ciTB5
      "]]}, 
    {RGBColor[1, 0, 0], LineBox[CompressedData["
1:eJwd0n0sFHAYB/CjF26430NezkuMQ9wVsvN6E08jbynMW3kJ5SUWeU2NGXOb
TCVtzdtq5tQQ8tKyOEpJtUw1N2kWI4ux2Lykla177o9nv322Z3u+z7OfZXJ2
eIo6h8MRK4teRdpCYEs3w0RxR7yFocw7/64gcKiX4b6293FkvcFLAYpnDHtC
l2PJzo2tXdVDDP1TOefJWTpTgi+jDLltHjHkhJR5k913DF2bi6PITkEd11sm
GZaPNkSQzV9d/DmrYOgyNxNOXn/zbahxlmHS6a1Q1fwuR33JIkOLYv5ZsoEw
90b6CsO+/PgQcp1zXoDpBkP2qySY7DaRZBO3w/Cy4UgguSrEoaLkH8P6CW4A
ObEzzqZWDTBa7HSKzN3j1zzZD1hkfM2XLLjX38XVBKydqj9JNjLz5kVrAWaI
3vqQjbN8CjJ5gP6Tet7k6oOWNaO6gFFFEi+yTnpR77w+oDCyQkLmQHcl8pX9
8W0e5I/tUw9rTQE/rU67kR/zcobbzQHFJbau5M2BtZoDVoCP0sPE5JCjcxlH
bAB/eDU5k8tqX0o97ADL0zacyLbeZRG3RYClfEtH8kz/gLDdAdCrIucYee/q
ZL+ms3Kfpgci8l8LRWm0C+CogcKerFEXFn7FHXDVWGRHlkZ1fh2TACbuxtuS
db+Xpi6dUDrwqTW5MAZdthHw3ActgSqf8cJzfz/A5TBfS9V/aPmDSQGAPPMm
C3Jl3kapPBjQ3uDzYfKadsLY/BnABncbM7Kw/kXwVhigT1G5iSp/5o40KBJw
hCfnk+9rtI2nxQBqygyNyGMrnvLxWEBJf4gBeWJ4cNPoAqB87dYh8mJc33HH
ZMCh7TVdciZWCW6mAP5utQey2vq0WXs6oDqT8sg5d/SjBzOVzlnRJocXOvmx
bGXeVpEWGW1fewpzAetTqrmqfmvZ+lKecv66TJPcbCWVNRco79Ej1yD/B/nl
LxI=
      "]]}, {}}, {{}, {}, {}, {}}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{260000., 0.039231268},
  BaseStyle->{FontSize -> 14},
  ImageSize->{468., 289.23990673495075`},
  PlotRange->{All, All},
  PlotRangeClipping->True,
  PlotRangePadding->{Automatic, Automatic}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ListPlot", "[", 
  RowBox[{"aTargetList", ",", 
   RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.5011708177426777`*^9, 3.501170824091487*^9}, {
  3.501308532381452*^9, 3.5013085351456013`*^9}}],

Cell[BoxData[
 GraphicsBox[
  {GrayLevel[0], 
   PointBox[{{1., 0.}, {2., 0.007072021646189394}, {3., 
    0.03143378977944927}, {4., 0.043465044736249646`}, {5., 
    0.050091969961767686`}, {6., 0.053817772833411465`}, {7., 
    0.05598233896078491}, {8., 0.05719600586655262}, {9., 
    0.057898166780919635`}, {10., 0.05831542499789177}, {11., 
    0.05856308476042161}}]},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{0, Automatic},
  BaseStyle->{FontSize -> 14},
  ImageSize->{468., 289.23990673495075`},
  PlotRangeClipping->True]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"\[Kappa]", "[", 
      RowBox[{"m", ",", 
       RowBox[{"Horizon", "-", "1"}]}], "]"}], "-", 
     RowBox[{"\[Kappa]", "[", 
      RowBox[{"m", ",", 
       RowBox[{"Horizon", "-", "2"}]}], "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"m", ",", "0.3", ",", "30"}], "}"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.50117088453616*^9, 3.501170950874332*^9}, {
   3.501596466077736*^9, 3.501596468861484*^9}, {3.5016925792620792`*^9, 
   3.501692583471651*^9}, {3.50169308989716*^9, 3.5016930906241817`*^9}, 
   3.501759550555663*^9, 3.5017781180609627`*^9, {3.502081032665133*^9, 
   3.502081035525269*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {GrayLevel[0], Thickness[Medium], LineBox[CompressedData["
1:eJxF2Hk4VG3YAPCxFMq+lJQl+2vLvsww59hKlrJkTdYku9FCKSZ7koS0UEkl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     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{0, 0},
  BaseStyle->{FontSize -> 14},
  ImageSize->{468., 289.23990673495075`},
  PlotRange->{All, All},
  PlotRangeClipping->True,
  PlotRangePadding->{Automatic, Automatic}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     RowBox[{
     "The", " ", "infinite", " ", "horizon", " ", "solution", " ", 
      "algorithm", " ", "starts", " ", "by", " ", "turning", " ", "off", " ", 
      "the", " ", "shocks", " ", 
      RowBox[{"(", 
       RowBox[{
       "because", " ", "iteration", " ", "is", " ", "much", " ", "faster", 
        " ", "without", " ", "shocks"}], ")"}], " ", "then", " ", "turns", 
      " ", "them", " ", "on", " ", "again"}], ";", " ", 
     RowBox[{
     "but", " ", "without", " ", "the", " ", "smoothing", " ", "effects", " ",
       "of", " ", "shocks"}]}], ",", " ", 
    RowBox[{
    "it", " ", "is", " ", "necessary", " ", "to", " ", "have", " ", "a", " ", 
     "much", " ", "denser", " ", "grid", " ", "to", " ", "avoid", " ", 
     "approximation", " ", "problems"}]}], "*)"}], "\n", "\n", 
  RowBox[{
   RowBox[{
    RowBox[{
    "ConstructLastPeriodAsSmoothedInfHorPFLiqConstrSolnJoinedAtPeriod", "[", 
     "3", "]"}], ";"}], "\n", 
   RowBox[{
    RowBox[{"aGridVecExcBotSmallLength", " ", "=", " ", "10"}], ";"}], "\n", 
   RowBox[{
    RowBox[{"aGridVecExcBotLargeLength", " ", "=", " ", "30"}], ";"}], "\n", 
   RowBox[{"SetupGrids", ";"}], "\[IndentingNewLine]", "\n", 
   RowBox[{
    RowBox[{"VerboseOutput", "=", "True"}], ";", 
    RowBox[{
    "SolveInfHorizToToleranceAtTarget", "[", "0.0001", "]"}]}]}]}]], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"With new shocks, adjusted Growth Patience Factor is \"\>", 
   "\[InvisibleSpace]", "0.9700967764504315`"}],
  SequenceForm[
  "With new shocks, adjusted Growth Patience Factor is ", 0.9700967764504315],
  
  Editable->False]], "Print"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
  "0.`", "\[InvisibleSpace]", "\<\" is latest tolerance for target \
change.\"\>"}],
  SequenceForm[0., " is latest tolerance for target change."],
  Editable->False]], "Print"],

Cell[BoxData["\<\"Converged.\"\>"], "Print"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"With new shocks, adjusted Growth Patience Factor is \"\>", 
   "\[InvisibleSpace]", "0.9778190668350083`"}],
  SequenceForm[
  "With new shocks, adjusted Growth Patience Factor is ", 0.9778190668350083],
  
  Editable->False]], "Print"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   RowBox[{"-", "0.012106576816253378`"}], 
   "\[InvisibleSpace]", "\<\" is latest tolerance for target change.\"\>"}],
  SequenceForm[-0.012106576816253378`, 
   " is latest tolerance for target change."],
  Editable->False]], "Print"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   RowBox[{"-", "0.005693029864649812`"}], 
   "\[InvisibleSpace]", "\<\" is latest tolerance for target change.\"\>"}],
  SequenceForm[-0.005693029864649812, 
   " is latest tolerance for target change."],
  Editable->False]], "Print"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   RowBox[{"-", "0.0033259941781136337`"}], 
   "\[InvisibleSpace]", "\<\" is latest tolerance for target change.\"\>"}],
  SequenceForm[-0.0033259941781136337`, 
   " is latest tolerance for target change."],
  Editable->False]], "Print"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   RowBox[{"-", "0.001856303217096622`"}], 
   "\[InvisibleSpace]", "\<\" is latest tolerance for target change.\"\>"}],
  SequenceForm[-0.001856303217096622, 
   " is latest tolerance for target change."],
  Editable->False]], "Print"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   RowBox[{"-", "0.0010606255573766266`"}], 
   "\[InvisibleSpace]", "\<\" is latest tolerance for target change.\"\>"}],
  SequenceForm[-0.0010606255573766266`, 
   " is latest tolerance for target change."],
  Editable->False]], "Print"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Solved \"\>", "\[InvisibleSpace]", "10", 
   "\[InvisibleSpace]", "\<\" periods.\"\>"}],
  SequenceForm["Solved ", 10, " periods."],
  Editable->False]], "Print"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   RowBox[{"-", "0.0006104537761746354`"}], 
   "\[InvisibleSpace]", "\<\" is latest tolerance for target change.\"\>"}],
  SequenceForm[-0.0006104537761746354, 
   " is latest tolerance for target change."],
  Editable->False]], "Print"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   RowBox[{"-", "0.00036278260812205865`"}], 
   "\[InvisibleSpace]", "\<\" is latest tolerance for target change.\"\>"}],
  SequenceForm[-0.00036278260812205865`, 
   " is latest tolerance for target change."],
  Editable->False]], "Print"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   RowBox[{"-", "0.0002153757012353097`"}], 
   "\[InvisibleSpace]", "\<\" is latest tolerance for target change.\"\>"}],
  SequenceForm[-0.0002153757012353097, 
   " is latest tolerance for target change."],
  Editable->False]], "Print"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   RowBox[{"-", "0.00012861290412313764`"}], 
   "\[InvisibleSpace]", "\<\" is latest tolerance for target change.\"\>"}],
  SequenceForm[-0.00012861290412313764`, 
   " is latest tolerance for target change."],
  Editable->False]], "Print"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   RowBox[{"-", "0.00007726229711257915`"}], 
   "\[InvisibleSpace]", "\<\" is latest tolerance for target change.\"\>"}],
  SequenceForm[-0.00007726229711257915, 
   " is latest tolerance for target change."],
  Editable->False]], "Print"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   RowBox[{"-", "0.00004646394399387965`"}], 
   "\[InvisibleSpace]", "\<\" is latest tolerance for target change.\"\>"}],
  SequenceForm[-0.00004646394399387965, 
   " is latest tolerance for target change."],
  Editable->False]], "Print"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   RowBox[{"-", "0.00002798505184542499`"}], 
   "\[InvisibleSpace]", "\<\" is latest tolerance for target change.\"\>"}],
  SequenceForm[-0.00002798505184542499, 
   " is latest tolerance for target change."],
  Editable->False]], "Print"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   RowBox[{"-", "0.00001684133049750791`"}], 
   "\[InvisibleSpace]", "\<\" is latest tolerance for target change.\"\>"}],
  SequenceForm[-0.00001684133049750791, 
   " is latest tolerance for target change."],
  Editable->False]], "Print"],

Cell[BoxData["\<\"Converged.\"\>"], "Print"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"With new shocks, adjusted Growth Patience Factor is \"\>", 
   "\[InvisibleSpace]", "0.9791994737375781`"}],
  SequenceForm[
  "With new shocks, adjusted Growth Patience Factor is ", 0.9791994737375781],
  
  Editable->False]], "Print"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   RowBox[{"-", "0.0030048281193366666`"}], 
   "\[InvisibleSpace]", "\<\" is latest tolerance for target change.\"\>"}],
  SequenceForm[-0.0030048281193366666`, 
   " is latest tolerance for target change."],
  Editable->False]], "Print"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Solved \"\>", "\[InvisibleSpace]", "20", 
   "\[InvisibleSpace]", "\<\" periods.\"\>"}],
  SequenceForm["Solved ", 20, " periods."],
  Editable->False]], "Print"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   RowBox[{"-", "0.0016739095932487569`"}], 
   "\[InvisibleSpace]", "\<\" is latest tolerance for target change.\"\>"}],
  SequenceForm[-0.0016739095932487569`, 
   " is latest tolerance for target change."],
  Editable->False]], "Print"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   RowBox[{"-", "0.0010094362046970673`"}], 
   "\[InvisibleSpace]", "\<\" is latest tolerance for target change.\"\>"}],
  SequenceForm[-0.0010094362046970673`, 
   " is latest tolerance for target change."],
  Editable->False]], "Print"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   RowBox[{"-", "0.0006140313988460822`"}], 
   "\[InvisibleSpace]", "\<\" is latest tolerance for target change.\"\>"}],
  SequenceForm[-0.0006140313988460822, 
   " is latest tolerance for target change."],
  Editable->False]], "Print"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   RowBox[{"-", "0.0003785855426337026`"}], 
   "\[InvisibleSpace]", "\<\" is latest tolerance for target change.\"\>"}],
  SequenceForm[-0.0003785855426337026, 
   " is latest tolerance for target change."],
  Editable->False]], "Print"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   RowBox[{"-", "0.00023625084392397966`"}], 
   "\[InvisibleSpace]", "\<\" is latest tolerance for target change.\"\>"}],
  SequenceForm[-0.00023625084392397966`, 
   " is latest tolerance for target change."],
  Editable->False]], "Print"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   RowBox[{"-", "0.0001487329455553965`"}], 
   "\[InvisibleSpace]", "\<\" is latest tolerance for target change.\"\>"}],
  SequenceForm[-0.0001487329455553965, 
   " is latest tolerance for target change."],
  Editable->False]], "Print"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   RowBox[{"-", "0.00009424365687404901`"}], 
   "\[InvisibleSpace]", "\<\" is latest tolerance for target change.\"\>"}],
  SequenceForm[-0.00009424365687404901, 
   " is latest tolerance for target change."],
  Editable->False]], "Print"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   RowBox[{"-", "0.000060004125571611056`"}], 
   "\[InvisibleSpace]", "\<\" is latest tolerance for target change.\"\>"}],
  SequenceForm[-0.000060004125571611056`, 
   " is latest tolerance for target change."],
  Editable->False]], "Print"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   RowBox[{"-", "0.0000383401694676877`"}], 
   "\[InvisibleSpace]", "\<\" is latest tolerance for target change.\"\>"}],
  SequenceForm[-0.0000383401694676877, 
   " is latest tolerance for target change."],
  Editable->False]], "Print"],

Cell[BoxData["\<\"Converged.\"\>"], "Print"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"With new shocks, adjusted Growth Patience Factor is \"\>", 
   "\[InvisibleSpace]", "0.979558554576396`"}],
  SequenceForm[
  "With new shocks, adjusted Growth Patience Factor is ", 0.979558554576396],
  Editable->False]], "Print"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Solved \"\>", "\[InvisibleSpace]", "30", 
   "\[InvisibleSpace]", "\<\" periods.\"\>"}],
  SequenceForm["Solved ", 30, " periods."],
  Editable->False]], "Print"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   RowBox[{"-", "0.0010103725332548663`"}], 
   "\[InvisibleSpace]", "\<\" is latest tolerance for target change.\"\>"}],
  SequenceForm[-0.0010103725332548663`, 
   " is latest tolerance for target change."],
  Editable->False]], "Print"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   RowBox[{"-", "0.0005690376334892555`"}], 
   "\[InvisibleSpace]", "\<\" is latest tolerance for target change.\"\>"}],
  SequenceForm[-0.0005690376334892555, 
   " is latest tolerance for target change."],
  Editable->False]], "Print"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   RowBox[{"-", "0.0003283122068955535`"}], 
   "\[InvisibleSpace]", "\<\" is latest tolerance for target change.\"\>"}],
  SequenceForm[-0.0003283122068955535, 
   " is latest tolerance for target change."],
  Editable->False]], "Print"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   RowBox[{"-", "0.0001991180578519991`"}], 
   "\[InvisibleSpace]", "\<\" is latest tolerance for target change.\"\>"}],
  SequenceForm[-0.0001991180578519991, 
   " is latest tolerance for target change."],
  Editable->False]], "Print"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   RowBox[{"-", "0.0001236198525937926`"}], 
   "\[InvisibleSpace]", "\<\" is latest tolerance for target change.\"\>"}],
  SequenceForm[-0.0001236198525937926, 
   " is latest tolerance for target change."],
  Editable->False]], "Print"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   RowBox[{"-", "0.00007797140729670637`"}], 
   "\[InvisibleSpace]", "\<\" is latest tolerance for target change.\"\>"}],
  SequenceForm[-0.00007797140729670637, 
   " is latest tolerance for target change."],
  Editable->False]], "Print"],

Cell[BoxData["\<\"Converged.\"\>"], "Print"]
}, Open  ]],

Cell[BoxData["True"], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ListPlot", "[", 
  RowBox[{"aTargetList", ",", 
   RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}]], "Input"],

Cell[BoxData[
 GraphicsBox[
  {GrayLevel[0], PointBox[CompressedData["
1:eJxTTMoPSmViYGBQBmIQDQEf7BlQgQMqlwONL+CgcsUsIrNwKlSfiAM/m0PL
IrMlUL6Eg2TGv0v+U1dA+TIOGiZqr1jYVkP5Cg76q97enBezBspXcmjtu5+V
rrAWyldxWHQk9LXYZBhfzcG3foq1yTUYX8Nh227v+Wn/YHwth90BokWFYuug
fB2HuMs3JB6rwPh6Dq6ar3ZN0oXxDRwClnr+OGsE4xs6tOoEmn4xhfGNHPy+
lYRxM2+A8o0dPPaeWLYsaiOUb+Jwr6CsLVFwE5Rv6rDHc/OkRTUwvplD6ezM
3657YXxzB7vqFQJiT2F8C4dNvZVsn/7C+JYOCe89vs3h3QzlWzmsancr6xWH
8a0dPnpZ6TyWhfFtHDgFVACw/KML4tg5SD7eGzdCH8e0cTKbVpBpPgPHtHcxn
drHKnoDxHRw6Dq/smPESym9wcAivfOzr/w8m7+hg6PKu2IV7C1Te0YE3bWtl
tfAWewCM2Ykb
    "]]},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{0, Automatic},
  BaseStyle->{FontSize -> 14},
  ImageSize->{468., 289.23990673495075`},
  PlotRangeClipping->True]], "Output"]
}, Open  ]]
},
WindowSize->{1083, 1057},
WindowMargins->{{4, Automatic}, {Automatic, 4}},
FrontEndVersion->"8.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (November 6, \
2010)",
StyleDefinitions->"Default.nb"
]

