Notebook[{
Cell["\<\
(* This cell contains uninteresting generic setup stuff to prepare for \
execution of the programs *)

ClearAll[\"Global`*\"];

(* If running from Notebook front end, set directory to Notebook's directory *)
If[Length[$FrontEnd] > 0, NBDir = SetDirectory[NotebookDirectory[]]];(* If \
running from the Notebook interface *)
If[Length[$FrontEnd] == \
0,SetDirectory[\"/Volumes/Data/Work/BufferStock/BufferStockTheory/Latest/Code/\
Mathematica/Results/BufferStockTheory\"]];

HomeDir = Directory[];
CodeDir = HomeDir<>\"/../../CoreCode\";
CDToHomeDir := SetDirectory[HomeDir];
CDToCodeDir := SetDirectory[HomeDir<>\"/../../CoreCode\"];
CDToCodeDir;

<<SetupModelSolutionRoutines.m;
<<SetParamsToBaselineVals.m;
CDToHomeDir;\
\>", "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.5151428182750473`*^9, 3.515142818465529*^9}, 
   3.5151442128146553`*^9, {3.515144245232129*^9, 3.515144251955846*^9}, 
   3.515146556088912*^9, 3.5151468501262493`*^9, {3.515883410900325*^9, 
   3.515883486688698*^9}, {3.515883641791915*^9, 3.5158836526443663`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"SetParamsBaseline", ";"}], "\n", 
 RowBox[{"SetupGrids", ";"}], "\n", 
 RowBox[{"SetupShocks", ";"}], "\n", 
 RowBox[{"ConstructLastPeriod", ";"}], "\n", 
 RowBox[{
  RowBox[{"SolveInfHorizToToleranceAtTarget", "[", 
   RowBox[{"mTargetDiffAtSuccessiveIterations", "=", "0.001"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{"\[ScriptC]With\[CapitalGamma]103Plot", " ", "=", " ", 
    RowBox[{"Plot", "[", 
     RowBox[{
      RowBox[{"\[ScriptC]", "[", "mPlot", "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"mPlot", ",", "0", ",", "4"}], "}"}]}], "]"}]}], "]"}], 
  ";"}]}], "Input",
 InitializationCell->True],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {GrayLevel[0], Thickness[Medium], LineBox[CompressedData["
1:eJwVz3881HccB/BzIdXyRRtdUqmrNBVrfixtXp/RYlf6IaWSO8mvxJbLyprN
j7kmJj9Gyo9SZCROJRnC0H74kRnlx0Rdityd+/mNfszt9sf78X48H6/XH++3
pf+XnoFMBoPB087/mxM43t304itnBmMZ25IX6azruujYCMsLjAFR1hOhJz68
dD7vFisAjPSCvhqhP7Z29t3MZ0WiKSwmqkjIh3fA1N0MVgIqByfdc4TxeGTz
g2sKKxM16as+yBJmoOC9HaeTWEWwDXe5miG8gjiDW6vPsKogObCTly68iX37
LwvlilZQGSdaG6NaME8Td9BtSRds4seaB6UdWLlrcrwluRc7+srvFxn14OT9
jTivHkBNu89f3bP6YVZlPKyjM4K96/RaeFlDqBa5dnR9LIKl353Nh2sfozk0
33y/ZBQ8kfOFYcOnoFd9QpWHj8ErTH9/7upnYL4qMzJfOQFFZsAO+fYxOGj8
qndXSHAq8Dpv0OoFOhLs7v/2vgzGXVndob9PwIlqZ6bby2DS1m443TmBkguH
HH2IDCVtYou43gl8X3G2QLZHhjmDzPLTT7T9/nH+wjgZrGsTwnhvtH3rfLPQ
PhmiA8wDt6wXw+VFfKW+ixxJR6ZtRGliLE0TvyqdlMMh+e4fJz6XoOFQTOlN
lRyL4y3/zdkuAffDBfvrprV5+vbmut0S5D10qulgKuBLqRRKXwkWWiSdkJkq
oPTuT3LkS2ByzUplBwUWr6m/Z5ojgV5roKQxVQHNM3M7szEJxFMjww9slWjU
vzy14qQU1cGpzRwHrQsDsjq+kSK2z7m4cZMSK92eVkTESmF6Jz+8dIsSXIve
yBtnpHA54fM2+qASvw5mLjLIkyJH/ZDFTlTCzPRksFmTFO6KTi/+iBLHLidM
P9abRNFEXZvhWRX40vLnk4mTMLT4WTY6qsahFT5W02Ey/HjkdlAB+yW4BZ5u
j03keEnKRkNippAbW/H74FE5Ije0Vpm2TCO5+1XI9Wo5Ripak7stX+NhTsii
WwwF3oT25q459Qa1tpVUoasC1p/OngmqewsTfs35R98q4HbFMviG2QzYaTr2
S35R4KQFb/mTgxrw3+g2eUgVWCvZM6/Pg0EmbBzsxi2UWEDJDVpfM8iBxO/c
luxUQrcxV7giT4d4jxo9EkUrcdSubmDOViaJ6Aw7EFKmRNnn/gUNL5nE7IfT
2dv6lKDFi4yen5tF2j+q4fbOKHF7t9uszM26JDDbNN3LSoUYd8Glque6JGmT
u5fYQwXLR5z+QoEeaStxVbZHqODkmJDJ2qBPlt77KashW4WDS7pe6fTok40C
+4idtSrQbSmiY3GzSWpetfLlsArndbmRnmwDwhnjhHzDUGPB8O0rzFYDcnFk
8z+1y9TQ+zbOa2PEHOKZa+1n4qoGo5QrFJnMJUx7k4E0fzX4OcIUk+a5pOZ6
qGxZghp3rRMNjL+YR6JjwqKTi9Qw5vDXxhu+Q0ZtDzvubVZjaN1fPV/Xv0Na
Tu0cWi9So/Ii2KPc+aSfs7ErXqOGr9DB2GJmPhE3LFaNmdOIFVyOG7pmSKqd
nJ33OtEoH7fINdxGkWanp1ZBe2kk5gv8hrdThDJyaRZpHeApXVmxiyLvOqbt
4XnTWFxfX+nhTZHPPBmh+/bRSEr1+e1Hf4pozuzjcA7QCHG4oJj7NUUa29ZN
rOXSWJ7wrvvsYoqkFkdVSgNpzHwUPb+vhCIu61OSjgTRGJA+/bu4jCIXhxq4
z7RO877lu+UGRdzcY+ihYBqa9z2PC+opcvi73KH2IzSGulMvzuqhyAdvozJK
wmnUnJ463POAIvbs2RT7CxqZm3hrCvspcrX0D8ElrbdeXV/lMkyRbI740Lkv
adRGdf4Z94IiKR8/6P0+gsa5dfapuyQU6bzGXqHROkKU52Upo4gg6ObRU3wa
VtvCRprUFFHZnxUfO05DV6e3KG2KIj6MkeUSrR/f3hTq91p7v+C4V3AkjfrQ
Qhvbfykys9QjVqR19tJ5tEaj/WdNeLHvVzT+A4OI7eg=
     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{0, 0},
  BaseStyle->{FontSize -> 14},
  ImageSize->{468., 289.23990673495075`},
  PlotRange->{{0, 4}, {0., 1.3411537648231204`}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02]}]], "Print"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "Solve", " ", "with", " ", "slower", " ", "income", " ", "growth"}], " ", 
    "=", 
    RowBox[{">", " ", 
     RowBox[{"greater", " ", "patience"}]}]}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"SetParamsBaseline", ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[CapitalGamma]", "=", "1.02"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"ConstructLastPeriodToConsumeEverything", ";"}], "\n", 
   RowBox[{"SetupGrids", ";"}], "\n", 
   RowBox[{"SetupShocks", ";"}], "\n", 
   RowBox[{
    RowBox[{"SolveInfHorizToToleranceAtTarget", "[", 
     RowBox[{"mTargetDiffAtSuccessiveIterations", "=", "0.001"}], "]"}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\[ScriptC]With\[CapitalGamma]102Plot", " ", "=", " ", 
      RowBox[{"Plot", "[", 
       RowBox[{
        RowBox[{"\[ScriptC]", "[", "mPlot", "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"mPlot", ",", "0", ",", "4"}], "}"}], ",", 
        RowBox[{"PlotStyle", "\[Rule]", "Red"}]}], "]"}]}], "]"}], 
    ";"}]}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.5151471237016373`*^9, 3.51514713010797*^9}, {
  3.515147434514942*^9, 3.515147436147753*^9}, {3.51588357556653*^9, 
  3.515883618558333*^9}, {3.5158837026541023`*^9, 3.5158837103042383`*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {RGBColor[1, 0, 0], LineBox[CompressedData["
1:eJwV03k41WkbB3BEpPgVJUdhlGNapRKvku8zSraaypIoS4pKC6lJTQvH0JQY
lBEhkQgzjp2iGGkZL0VkubKFcDjHWX62KN7f+8dzPc/nuu4/vvd134+Op6+d
l4yUlNQp5vz/tvEabKjk/WLGPA/Eu10wk92h4dfFckDQWJqMF9cOm5PjEgtY
xxBk7W9hyvWEbV1LfhLrAjzo1v4fuf5wOjbx/A4rBB5W4SWa3GB0bPh9RwQr
BiLJl2R17h08XLL3RhgrDaveqixW46aCo1Dw4y1WId5uWv1uMTcfB51TuCJx
NYI0Vo1vv/QS82c5hy213kPLKOHgAkEt2PtHBl/ebkL+P0HcXKoRAe9MEDfa
hpNvPezzpFuxtHBRp7R0F6z4DQ9co9tR3LOj9r1pD8JedZdHF3ejyidpmTO/
D/syW42b5Xsxpred+vvMAHqPubCjln2BzNfshcvYQzB23/cpwWQARrMexfY5
fKiaf7pnJcfD7j2VwRalfKxRuV/eP5+Hownae42r+DAI4jhyVHiIMu4c0Gjm
Q4Gd35mtzQPP9xCr5zsfQVltW5pNeEjsdrzqt0eAFO3tHdfO8CBdZWMewReg
6IemHPkPPNSGGL57vUaIkANUf1zkELZS/5WJ3iJER6yVb+WfQ3gSf8T4EBFi
yjfNpTdhCL/l/PFQ6CiEiRLbcdkTpr510F+dI4QgqPmNfSVTvzZpqU+LEH5T
Xyr6hUMw5wXnzjUXIUrLK+Cu7TC0o4a/Zo6IUPC6fa7r2DBeHAnMzKdF+L5R
ia80NQy3zarOZZMi+B5drl42M4zE5q2ltTJiFCxOKZ+nwIe6ZthFoZoYt65U
PA3Q4EMlaxVtCDGWJ/+UkmrGh1y1F78iUow71j7priF8DE90dX40kMBYOltK
IidA8fHIKhsjCZNzc4amogBBLWbpFdsk6Gx9nmWhLIBaSdKZzF0S+LrceBmm
JoD5xUPfrh6W4NM+/wVDegLcH21m6d6U4Mjl675zLAWwEtc5+HdJ4LR3U0pt
iABpQ2U1yn/Q4AwIbuVNCHD23t6VPndp/JtdHL1gWgDjnb1XXsXReO4fu9Jr
RoCaJMX1Vx/RYOcUjijLjUC8zzmSV0ojPDXUw0JlBGYl4/bVvTTy760Ox7oR
tP22seOyyShM3dkm19xGoKyZIezrG0V7iVVYc/kIwk8WeT/UHYdGsFZ3oIsQ
4yS770TgBFq8u+9YioS4sKm6UO3lJNQN3V/4GInQlVN9u0FnCkL/3iXe50WY
9mlKWP3rNGh3Ou1bpghrf5Kf8S77Bu5yQz3ZNhEsU3WO5y2dQXDtD1vOKIgR
oOm+4vPhWQQUNXXVbxRjHd9xfsseKcKOYbtTB8VQpUQK1VNSpMipsMYiUAzZ
igTuykRpUnX8zwOyqWKcMixrm2crQzoCJ2OFr8TItvZ8+GJchlh6XSr5a0CM
sWGNhf2xc0i9dRcZk5OgyN5yTsxOWRJcaq2azZYg0Co0ubBflny4pqx7wFwC
nQ6b1kehcmTFxp/js10l2GocEsPaNJeknfinPfpXCQ5rvf8q3TiXPI+uMxiI
kWCsJqLHjyNPTn1Vz/qYK0GcrNsFO10F8v5NxqhnjQSqnUWpMtUK5Jl1udJ0
jwRy1zgOJufmkZMOegUbvksglenG7VFRJL9bKhmZLqHhf58boVKlSK4sjDzd
o8/Mee1NhUVn55P++r/scyxpLLLxXxesvICcN79udt2NRvv6+sbL5QuIgZLW
p4GLNHIfQLfPTYm4pJlY+UTQcOUaLdKcUSLbztYdNWX2JCg0hdOepUyuHNyi
n/GMxt+DmgnKuyliNqLiYVlP42ZSqEfnzxQJLuMEZDA+Zidg5+yniJ53X5h8
A43l5eW5e5wo0qIW9vgN47DIQ6/DPSkiZl/KsmykccIoXqx4mSLh6QP0rmYa
K0IWW8mnU2TIb2eEeTuNmf9cVWp5QpHEzl/YqYzbBL0f0rMpEhFY+VS6g0aU
U4HrrjyKeA0/bq5kPLvG7nxoOUWKdjV8Nuti+m2IfDCnkSK3H2eYbe2hUXpj
4mjjR4o89RiNi2ccs8199aNWpp+jp4WTjG0f6xeadzL5inqiSph/8OxS3b8c
HkXYVfLphl9oxK7fErmfTxHeUN3nu4zP9SQ66Agpco68ZdGMV+0+3VU5ShG3
Dtfref00ZKWb0qImKBLvPJ21cIBGd9E2H48pitiebmj0ZVzu82iDwXeKCPQ/
T75jfE97/tjsLEWSn63V0B+k8T/OhFqX
     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{0, 0},
  BaseStyle->{FontSize -> 14},
  ImageSize->{468., 289.23990673495075`},
  PlotRange->{{0, 4}, {0., 1.244184591512443}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02]}]], "Print"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{
  "\[ScriptC]With\[CapitalGamma]102Plot", ",", 
   "\[ScriptC]With\[CapitalGamma]103Plot", ",", 
   RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.515147257301849*^9, 3.515147274638063*^9}}],

Cell[BoxData[
 GraphicsBox[{{{}, {}, 
    {RGBColor[1, 0, 0], LineBox[CompressedData["
1:eJwV03k41WkbB3BEpPgVJUdhlGNapRKvku8zSraaypIoS4pKC6lJTQvH0JQY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      "]]}}, {{}, {}, 
    {GrayLevel[0], Thickness[Medium], LineBox[CompressedData["
1:eJwVz3881HccB/BzIdXyRRtdUqmrNBVrfixtXp/RYlf6IaWSO8mvxJbLyprN
j7kmJj9Gyo9SZCROJRnC0H74kRnlx0Rdityd+/mNfszt9sf78X48H6/XH++3
pf+XnoFMBoPB087/mxM43t304itnBmMZ25IX6azruujYCMsLjAFR1hOhJz68
dD7vFisAjPSCvhqhP7Z29t3MZ0WiKSwmqkjIh3fA1N0MVgIqByfdc4TxeGTz
g2sKKxM16as+yBJmoOC9HaeTWEWwDXe5miG8gjiDW6vPsKogObCTly68iX37
LwvlilZQGSdaG6NaME8Td9BtSRds4seaB6UdWLlrcrwluRc7+srvFxn14OT9
jTivHkBNu89f3bP6YVZlPKyjM4K96/RaeFlDqBa5dnR9LIKl353Nh2sfozk0
33y/ZBQ8kfOFYcOnoFd9QpWHj8ErTH9/7upnYL4qMzJfOQFFZsAO+fYxOGj8
qndXSHAq8Dpv0OoFOhLs7v/2vgzGXVndob9PwIlqZ6bby2DS1m443TmBkguH
HH2IDCVtYou43gl8X3G2QLZHhjmDzPLTT7T9/nH+wjgZrGsTwnhvtH3rfLPQ
PhmiA8wDt6wXw+VFfKW+ixxJR6ZtRGliLE0TvyqdlMMh+e4fJz6XoOFQTOlN
lRyL4y3/zdkuAffDBfvrprV5+vbmut0S5D10qulgKuBLqRRKXwkWWiSdkJkq
oPTuT3LkS2ByzUplBwUWr6m/Z5ojgV5roKQxVQHNM3M7szEJxFMjww9slWjU
vzy14qQU1cGpzRwHrQsDsjq+kSK2z7m4cZMSK92eVkTESmF6Jz+8dIsSXIve
yBtnpHA54fM2+qASvw5mLjLIkyJH/ZDFTlTCzPRksFmTFO6KTi/+iBLHLidM
P9abRNFEXZvhWRX40vLnk4mTMLT4WTY6qsahFT5W02Ey/HjkdlAB+yW4BZ5u
j03keEnKRkNippAbW/H74FE5Ije0Vpm2TCO5+1XI9Wo5Ripak7stX+NhTsii
WwwF3oT25q459Qa1tpVUoasC1p/OngmqewsTfs35R98q4HbFMviG2QzYaTr2
S35R4KQFb/mTgxrw3+g2eUgVWCvZM6/Pg0EmbBzsxi2UWEDJDVpfM8iBxO/c
luxUQrcxV7giT4d4jxo9EkUrcdSubmDOViaJ6Aw7EFKmRNnn/gUNL5nE7IfT
2dv6lKDFi4yen5tF2j+q4fbOKHF7t9uszM26JDDbNN3LSoUYd8Glque6JGmT
u5fYQwXLR5z+QoEeaStxVbZHqODkmJDJ2qBPlt77KashW4WDS7pe6fTok40C
+4idtSrQbSmiY3GzSWpetfLlsArndbmRnmwDwhnjhHzDUGPB8O0rzFYDcnFk
8z+1y9TQ+zbOa2PEHOKZa+1n4qoGo5QrFJnMJUx7k4E0fzX4OcIUk+a5pOZ6
qGxZghp3rRMNjL+YR6JjwqKTi9Qw5vDXxhu+Q0ZtDzvubVZjaN1fPV/Xv0Na
Tu0cWi9So/Ii2KPc+aSfs7ErXqOGr9DB2GJmPhE3LFaNmdOIFVyOG7pmSKqd
nJ33OtEoH7fINdxGkWanp1ZBe2kk5gv8hrdThDJyaRZpHeApXVmxiyLvOqbt
4XnTWFxfX+nhTZHPPBmh+/bRSEr1+e1Hf4pozuzjcA7QCHG4oJj7NUUa29ZN
rOXSWJ7wrvvsYoqkFkdVSgNpzHwUPb+vhCIu61OSjgTRGJA+/bu4jCIXhxq4
z7RO877lu+UGRdzcY+ihYBqa9z2PC+opcvi73KH2IzSGulMvzuqhyAdvozJK
wmnUnJ463POAIvbs2RT7CxqZm3hrCvspcrX0D8ElrbdeXV/lMkyRbI740Lkv
adRGdf4Z94IiKR8/6P0+gsa5dfapuyQU6bzGXqHROkKU52Upo4gg6ObRU3wa
VtvCRprUFFHZnxUfO05DV6e3KG2KIj6MkeUSrR/f3hTq91p7v+C4V3AkjfrQ
Qhvbfykys9QjVqR19tJ5tEaj/WdNeLHvVzT+A4OI7eg=
      "]]}}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{0, 0},
  BaseStyle->{FontSize -> 14},
  ImageSize->{468., 289.23990673495075`},
  PlotRange->All,
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02]}]], "Output"]
}, Open  ]]
},
WindowSize->{1313, 1176},
WindowMargins->{{50, Automatic}, {Automatic, 0}},
FrontEndVersion->"8.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (February 23, \
2011)",
StyleDefinitions->"Default.nb"
]

