(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     91328,       1636]
NotebookOptionsPosition[     90507,       1602]
NotebookOutlinePosition[     90887,       1619]
CellTagsIndexPosition[     90844,       1616]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
   "This", " ", "cell", " ", "contains", " ", "generic", " ", "setup", " ", 
    "stuff", " ", "to", " ", "prepare", " ", "for", " ", "execution", " ", 
    "of", " ", "the", " ", "programs"}], " ", "*)"}], "\n", 
  RowBox[{
   RowBox[{
    RowBox[{"ClearAll", "[", "\"\<Global`*\>\"", "]"}], ";", " ", 
    RowBox[{"ParamsAreSet", " ", "=", " ", "False"}], ";"}], "\n", 
   RowBox[{
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"$VersionNumber", " ", "<", " ", "6"}], ",", 
      RowBox[{"(*", "then", "*)"}], " ", 
      RowBox[{
       RowBox[{
       "Print", "[", 
        "\"\<These programs require Mathematica version 6 or greater.\>\"", 
        "]"}], ";", " ", 
       RowBox[{"Abort", "[", "]"}]}]}], "]"}], ";"}], "\n", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{
     "If", " ", "running", " ", "from", " ", "Notebook", " ", "front", " ", 
      "end"}], ",", " ", 
     RowBox[{"set", " ", "directory", " ", "to", " ", 
      RowBox[{"Notebook", "'"}], "s", " ", "directory"}]}], " ", "*)"}], "\n", 
   RowBox[{
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"Length", "[", "$FrontEnd", "]"}], " ", ">", " ", "0"}], ",", 
      " ", 
      RowBox[{"NBDir", " ", "=", " ", 
       RowBox[{"SetDirectory", "[", 
        RowBox[{"NotebookDirectory", "[", "]"}], "]"}]}]}], "]"}], ";"}], 
   RowBox[{"(*", " ", 
    RowBox[{
    "If", " ", "running", " ", "from", " ", "the", " ", "Notebook", " ", 
     "interface"}], " ", "*)"}], "\n", 
   RowBox[{
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"Length", "[", "$FrontEnd", "]"}], " ", "==", " ", "0"}], ",", 
      
      RowBox[{
      "SetDirectory", "[", 
       "\"\</Volumes/Data/Work/BufferStock/BufferStockTheory/Latest/Code/\
Mathematica/Results/BufferStockTheory\>\"", "]"}]}], "]"}], ";"}], "\n", 
   RowBox[{
    RowBox[{"SaveFigs", " ", "=", " ", "False"}], ";"}], "\n", 
   RowBox[{
    RowBox[{"HomeDir", " ", "=", " ", 
     RowBox[{"Directory", "[", "]"}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"CodeDir", " ", "=", " ", 
     RowBox[{"HomeDir", "<>", "\"\</../../CoreCode\>\""}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"CDToHomeDir", " ", ":=", " ", 
     RowBox[{"SetDirectory", "[", "HomeDir", "]"}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"CDToCodeDir", " ", ":=", " ", 
     RowBox[{"SetDirectory", "[", 
      RowBox[{"HomeDir", "<>", "\"\</../../CoreCode\>\""}], "]"}]}], ";"}], 
   "\n", "\n", 
   RowBox[{"CDToCodeDir", ";"}], "\n", 
   RowBox[{
    RowBox[{"<<", "SetupModelSolutionRoutines.m"}], ";"}], "\n", 
   RowBox[{
    RowBox[{"<<", "SetParamsToBaselineVals.m"}], ";"}], "\n", 
   RowBox[{
    RowBox[{"PermGridLength", " ", "=", " ", 
     RowBox[{"TranGridLengthSetup", " ", "=", " ", "1"}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"\[WeierstrassP]", " ", "=", " ", "0.00000000001"}], ";", " ", 
    RowBox[{"\[WeierstrassP]Cancel", " ", "=", " ", 
     RowBox[{"1", " ", "-", " ", "\[WeierstrassP]"}]}], ";", " ", 
    "SetupShocks", ";"}], "\n", 
   RowBox[{
    RowBox[{"aLargeMax", " ", "=", " ", 
     RowBox[{"10", " ", "\[HBar]Inf"}]}], ";"}], " ", 
   RowBox[{"(*", " ", 
    RowBox[{
    "Large", " ", "number", " ", "defines", " ", "the", " ", "maximum", " ", 
     "gridpoint", " ", "for", " ", "a"}], " ", "*)"}], "\n", 
   RowBox[{
    RowBox[{"aSmallMax", " ", "=", " ", "3"}], ";", "  ", 
    RowBox[{"(*", " ", 
     RowBox[{
     "Small", " ", "number", " ", "defines", " ", "the", " ", "gridpoint", 
      " ", "below", " ", "which", " ", "aGridVecExcBot", " ", "will", " ", 
      "be", " ", "dense"}], " ", "*)"}], 
    "ConstructLastPeriodToConsumeEverything", ";"}], "\n", 
   RowBox[{
    RowBox[{"aGridVecExcBotSmallLength", " ", "=", " ", "10000"}], ";"}], 
   "\n", 
   RowBox[{
    RowBox[{"aGridVecExcBotLargeLength", " ", "=", " ", "100"}], ";"}], "\n", 
   
   RowBox[{
    RowBox[{"TimesToNestSmallGrid", " ", "=", " ", "100"}], ";"}], 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"IntegerPart", "[", 
      RowBox[{"Abs", "[", 
       RowBox[{"100", " ", 
        RowBox[{"Log", "[", "\[WeierstrassP]", "]"}]}], "]"}], "]"}], ";"}], 
    "*)"}], "\n", 
   RowBox[{"SetupGrids", ";"}], "\n", 
   RowBox[{
    RowBox[{"Do", "[", 
     RowBox[{"SolveAnotherPeriod", ",", 
      RowBox[{"{", "5", "}"}]}], "]"}], ";"}], 
   "\[IndentingNewLine]"}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.51516768291028*^9, 3.515167699945243*^9}, {
   3.515167837826468*^9, 3.515167856690206*^9}, {3.515168340543714*^9, 
   3.515168344585288*^9}, 3.515168428528523*^9, {3.5151685501245193`*^9, 
   3.5151685661451178`*^9}, {3.515168914282271*^9, 3.5151689480252867`*^9}, 
   3.515169190419115*^9, 3.51517230921807*^9, {3.5151724183798943`*^9, 
   3.5151724455669117`*^9}, 3.5151725546414633`*^9, 3.515172815556292*^9, 
   3.515173086372076*^9, 3.5151732729726257`*^9, {3.515173336904332*^9, 
   3.5151733560973063`*^9}, {3.51517345448912*^9, 3.51517345868227*^9}, {
   3.515173506536812*^9, 3.5151735385440893`*^9}, {3.51517357778201*^9, 
   3.5151736023897057`*^9}, 3.515174180922276*^9, {3.515174714489449*^9, 
   3.515174717103384*^9}, 3.5151753117022533`*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[Kappa]Numerical", "=", 
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{"\[Kappa]", "[", "m", "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"m", ",", "1", ",", "1.4"}], "}"}], ",", 
    RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
    RowBox[{"PlotStyle", "\[Rule]", "Red"}]}], "]"}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.515175325412916*^9, 3.5151754014825497`*^9}, {
   3.515175448475032*^9, 3.515175453169559*^9}, 3.5151755071542387`*^9}],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {RGBColor[1, 0, 0], LineBox[CompressedData["
1:eJwc2Hc8ll8fB3CKkJVRhIySIinKiDiSUkaSMsqOyqg0SJJRVkZEZKQhWVkt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     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{1., 0.2},
  BaseStyle->{FontSize -> 14},
  ImageSize->{468., 289.23990673495075`},
  PlotRange->{All, All},
  PlotRangeClipping->True,
  PlotRangePadding->{Automatic, Automatic}]], "Output",
 InitializationCell->True,
 CellChangeTimes->{{3.515175375989647*^9, 3.5151754031368437`*^9}, 
   3.515175454364128*^9, 3.515175508780842*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"c\[Sharp]3PeriodsData", "=", 
   RowBox[{"Join", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"{", 
       RowBox[{"0.", ",", "0."}], "}"}], "}"}], ",", 
     RowBox[{"Map", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"m\[Sharp]", "[", "#", "]"}], ",", 
          RowBox[{"c\[Sharp]", "[", "#", "]"}]}], "}"}], "&"}], ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "2", ",", "3", ",", "4", ",", "6"}], "}"}]}], 
      "]"}]}], "]"}]}], ";", 
  RowBox[{"c\[Sharp]3PeriodsFunc", "=", 
   RowBox[{"Interpolation", "[", 
    RowBox[{"c\[Sharp]3PeriodsData", ",", 
     RowBox[{"InterpolationOrder", "\[Rule]", "1"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"\[ScriptC]", "[", "m", "]"}], ",", 
     RowBox[{"c\[Sharp]3PeriodsFunc", "[", "m", "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"m", ",", "0", ",", "2"}], "}"}]}], "]"}]}], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.515174341469486*^9, 3.515174353340788*^9}, {
   3.515174454074007*^9, 3.515174726489418*^9}, {3.515175419609455*^9, 
   3.5151754344283457`*^9}, 3.515175481157728*^9, 3.5151755116545753`*^9, {
   3.515175563715766*^9, 3.5151756593291283`*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {GrayLevel[0], LineBox[CompressedData["
1:eJwV0Xk8VfkbB/BLJClZ2i5SFKUobWZa+NgqS4uESpsQaqopaYZkDaGkUFGy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     "]]}, 
   {Hue[0.9060679774997897, 0.6, 0.6], Thickness[Medium], 
    LineBox[CompressedData["
1:eJwt03k4FusbB3BbhyhZkt6UUlGkck44lfiGCimpCBGSaKEQFdoUQpFKmxZr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     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{0, 0},
  BaseStyle->{FontSize -> 14},
  ImageSize->{468., 289.23990673495075`},
  PlotRange->{{0, 2}, {0., 1.2650964055846305`}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02]}]], "Output",
 InitializationCell->True,
 CellChangeTimes->{3.5151756600984287`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"\[Kappa]Exact", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"c\[Sharp]3PeriodsFunc", "'"}], "[", "m", "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"m", ",", "1", ",", "1.4"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Show", "[", 
  RowBox[{"\[Kappa]Numerical", ",", "\[Kappa]Exact"}], "]"}]}], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.5151754669862633`*^9, 3.515175472335938*^9}, {
  3.515175671368898*^9, 3.515175674893689*^9}}],

Cell[BoxData[
 GraphicsBox[{{{}, {}, 
    {RGBColor[1, 0, 0], LineBox[CompressedData["
1:eJwc2Hc8ll8fB3CKkJVRhIySIinKiDiSUkaSMsqOyqg0SJJRVkZEZKQhWVkt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      "]]}}, {{}, {}, 
    {GrayLevel[0], Thickness[Medium], LineBox[CompressedData["
1:eJxNx3tQCwAAx/FVFEpmdWHXirhdlGlcJVdGqDvKreU8ljxSzbTTsiWrrZkU
6iSdR6nOLlFDyKiObkWihjTPiKJEetfKWUuZf/bb7+533/ssiIhlRZkTCIRo
w//3ts7DkEHGUsL/DTJamzUH7YmwbeWhFtf5cKp3lKflOtj1tYgaHAo/52XO
ObcPlnWllmXGwN6Rkk2nBDDJRZSTlgD3tQk7U5LgyFfKlSli+JNqOOOYBL7g
le1pngyH3KK3yQzmNLC6tSFfGTZUzUkzKVxfwF8uM3G5uL9ZKoOvhPGkySnw
JaVS+/IcnG2t51Cuwcy4mmbeU5ia46Xm/4JPH9m7VmM9ZHStbe2adjd4dvS7
muLNsLxX96R9F0wTODVQYuEp7q3kuQL40/cCHikB3vBIcn6WCL5TEK6ySYI7
M16yrMUwOdHv53QJ7BkXTz9lMMXsTkQw/T2Dub80aVoyfGB3Z90JE6dupRCt
pLBHfb5SnwZ/9nHcNpgJV0sErSvkcOEjdVRCGew9eXv8lgbu+LvBPm8EXlCe
VdbhMGw0bRHpw2cvODR0vSR9BxywsvRGlwgOaX3K1ufD/X7nzxyohtmhl4LS
22B9vdVORhecvzo+ZmQQ5unctJtHYd977YkKHVw0W6V6r4dtYnPNp0zANZQT
ReRJWPhCGEAnaI1uvBJzscrgSmEnlaRrYrgmRXQFmsHHWDt83pj4y2Jm+i5z
2JIf0CcnwcvKfZkdLrDd+Je8J/6wrYXHfnYU3FxdWSVPhR/4DZ/NK4Fp8V97
h9UwP2Jq01g3rCa2rKiYOWK0VvjTeRENLs0uOdsXDEvjyMdj+PB8y9qJ3Cz4
Y5jjmFgJ7+HclBDfwiL3oTTCCGyZeVChGIezB3qes6aOGj0amGEvsYK3y5eE
F0+H4w6zBugzRhlu79h/HnMaGOlBibIqExe6FNoFWsMP/zRc1Zi4t2ie+ocN
7BTC7dfPhL+blUiZJPj63R/Eqw4mbhrPfUWFFf2khWNecE3PwH0LNswtlDVy
xfA3242xR/Nhvm9t1qZquNFZsOpZG6yq+sC9PAnXkfvmubv8NjqP5sPi+sOK
YO8Wzha4gucZGR0N/wN4OCTP
      "]]}}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{1., 0.2},
  BaseStyle->{FontSize -> 14},
  ImageSize->{468., 289.23990673495075`},
  PlotRange->{All, All},
  PlotRangeClipping->True,
  PlotRangePadding->{Automatic, Automatic}]], "Output",
 InitializationCell->True,
 CellChangeTimes->{{3.5151754729497337`*^9, 3.5151755148387947`*^9}, 
   3.515175676192543*^9}]
}, Open  ]]
},
WindowSize->{1528, 1047},
WindowMargins->{{12, Automatic}, {Automatic, 24}},
ShowSelection->True,
FrontEndVersion->"8.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (February 23, \
2011)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 5218, 128, 639, "Input",
 InitializationCell->True],
Cell[CellGroupData[{
Cell[5800, 152, 491, 11, 40, "Input",
 InitializationCell->True],
Cell[6294, 165, 36789, 609, 456, "Output",
 InitializationCell->True]
}, Open  ]],
Cell[CellGroupData[{
Cell[43120, 779, 1317, 35, 87, "Input",
 InitializationCell->True],
Cell[44440, 816, 7495, 132, 456, "Output",
 InitializationCell->True]
}, Open  ]],
Cell[CellGroupData[{
Cell[51972, 953, 532, 14, 64, "Input",
 InitializationCell->True],
Cell[52507, 969, 37984, 630, 456, "Output",
 InitializationCell->True]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
